#!/bin/sh

# note: no trailing / on <backup drive>
REMOTE_DRIVE="/Volumes/<backup drive>"
REMOTE_IMAGE="Backup.sparsebundle"
USERNAME="<short username>"

if [ -d "${REMOTE_DRIVE}/" ]; then
	IMAGENAME="${REMOTE_DRIVE}/${REMOTE_IMAGE}"
	# note: backup files cannot be in the root of the encrypted drive because rsync will try to remove system folders in the root
	#   so backup into a folder inside the backup image
	WRAPPERFOLDER="Backup"
	MOUNTPOINT="/Users/${USERNAME}/backupdrive"
	SOURCEFOLDER="/Users/${USERNAME}"
	R_INCLUDES="--include-from=${SOURCEFOLDER}/backup_includes.txt"
	
	syncf2d.sh "${IMAGENAME}" "${MOUNTPOINT}" "${WRAPPERFOLDER}" "${SOURCEFOLDER}" "${R_INCLUDES}"
fi
